Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.webproxy
Class CWebProxy.ChannelState

    java.lang.Object
      org.jasig.portal.channels.webproxy.CWebProxy.ChannelState

Enclosing class:
  CWebProxy

    private class CWebProxy.ChannelState

extends java.lang.Object

All state variables are stored in this inner class. It would probably be an improvement to extract this inner class into its own fully fledged class in the cwebproxy package, thereby enforcing that its properties are only accessed via getter and setter methods that would need to be added.

Field Summary
`private java.lang.String` | `buttonxmlUri` URI of the source of XML this CWebProxy instance will render in response to a recent button press (channel control button, e.g.
`private java.lang.String` | `cacheDefaultMode`
`private long` | `cacheDefaultTimeout`
`private java.lang.String` | `cacheMode`
`private long` | `cacheTimeout`
`private java.net.URLConnection` | `connHolder`
`private CookieCutter` | `cookieCutter`
`private java.lang.String` | `editUri` URI of the XML this channel will use to render its edit mode.
`private java.lang.String` | `fullxmlUri`
`private java.lang.String` | `helpUri` URI of the XML this channel will use to render its help mode.
`private java.lang.String` | `infoUri` URI of the XML this channel will use to render its info mode.
`private IPerson` | `iperson`
`private java.lang.String` | `key`
`private LocalConnectionContext` | `localConnContext`
`private java.lang.String` | `passThrough`
`private java.lang.String` | `person`
`private java.lang.String` | `personAllow`
`private java.util.HashSet` | `personAllow_set`
`private int` | `refresh`
`private java.lang.String` | `reqParameters`
`private ChannelRuntimeData` | `runtimeData`
`private java.lang.String` | `sslUri` URI of the stylesheet selector this channel will use to select its XSLT.
`private java.lang.String` | `tidy`
`private IUriScrutinizer` | `uriScrutinizer` The default scrutinizer is one that allows only http: and https: URIs.
`private java.lang.String` | `xmlUri` URI of the source of XML this CWebProxy instance will render.
`private java.lang.String` | `xslTitle`
`private java.lang.String` | `xslUri` URI of the XSLT this channel will use to select its XSLT.

Constructor Summary
`CWebProxy.ChannelState(IUriScrutinizer uriScrutinizerArg)`

Method Summary
`void` | `setXmlUri(java.lang.String uriArg)` Set the xmlUri channel state property, applying URI acceptance logic before accepting the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iperson

    private IPerson iperson

### person

    private java.lang.String person

### personAllow

    private java.lang.String personAllow

### personAllow_set

    private java.util.HashSet personAllow_set

### fullxmlUri

    private java.lang.String fullxmlUri

### buttonxmlUri

    private java.lang.String buttonxmlUri

  URI of the source of XML this CWebProxy instance will render in response to a recent button press (channel control button, e.g. "help").

### xmlUri

    private java.lang.String xmlUri

  URI of the source of XML this CWebProxy instance will render. Do not set this field directly. Instead, access it via the setter method.

### key

    private java.lang.String key

### passThrough

    private java.lang.String passThrough

### tidy

    private java.lang.String tidy

### sslUri

    private java.lang.String sslUri

  URI of the stylesheet selector this channel will use to select its XSLT.

### xslTitle

    private java.lang.String xslTitle

### xslUri

    private java.lang.String xslUri

  URI of the XSLT this channel will use to select its XSLT.

### infoUri

    private java.lang.String infoUri

  URI of the XML this channel will use to render its info mode.

### helpUri

    private java.lang.String helpUri

  URI of the XML this channel will use to render its help mode.

### editUri

    private java.lang.String editUri

  URI of the XML this channel will use to render its edit mode.

### cacheDefaultMode

    private java.lang.String cacheDefaultMode

### cacheMode

    private java.lang.String cacheMode

### reqParameters

    private java.lang.String reqParameters

### cacheDefaultTimeout

    private long cacheDefaultTimeout

### cacheTimeout

    private long cacheTimeout

### runtimeData

    private ChannelRuntimeData runtimeData

### cookieCutter

    private CookieCutter cookieCutter

### connHolder

    private java.net.URLConnection connHolder

### localConnContext

    private LocalConnectionContext localConnContext

### refresh

    private int refresh

### uriScrutinizer

    private final IUriScrutinizer uriScrutinizer

  The default scrutinizer is one that allows only http: and https: URIs. Non-null. Constructor enforces initialization to a non-null.

Constructor Detail

### CWebProxy.ChannelState

    public CWebProxy.ChannelState(IUriScrutinizer uriScrutinizerArg)

Method Detail

### setXmlUri

    public void setXmlUri(java.lang.String uriArg)

  Set the xmlUri channel state property, applying URI acceptance logic before accepting the parameter.

  Parameters:
    `uriArg` - URI of XML source, or null
  Throws:
    `java.lang.IllegalArgumentException` - if the uriArg is not in URI syntax or is a non-URI classpath-relative path which doesn't map to an actually existing resource.
    `BlockedUriException` - if the URI is unacceptable for reasons of policy
  Since:
    uPortal 2.5.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD